---
title: Midjourney Görüntüden İsteme | RunAPI
description: Görüntüden isteme uç noktasını kullanarak sonucu aynı yanıtta alın.
url: https://runapi.ai/tr/docs/api/midjourney/image-to-prompt.md
canonical: https://runapi.ai/tr/docs/api/midjourney/image-to-prompt
locale: tr
---

> HTML sürümü: https://runapi.ai/tr/docs/api/midjourney/image-to-prompt
> Ajanlar için site dizini: https://runapi.ai/llms.txt

# Midjourney Görüntüden İsteme

## Genel Bakış

Görüntüden isteme uç noktasını kullanın ve sonucu aynı yanıttan okuyun.

### Hızlı başlangıç

1. Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
2. Gövdesi istek şemasıyla eşleşen bir POST isteği gönderin.
3. Sonucu başarılı yanıt gövdesinden okuyun.

## Uç Nokta

POST /api/v1/midjourney/image_to_prompt

Temel URL: https://runapi.ai

API sürümü: v1

Kimlik doğrulama: Authorization: Bearer YOUR_API_TOKEN

## Desteklenen modeller

Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.

- [Midjourney](https://runapi.ai/tr/models/midjourney)

## İstek şeması

Yalnızca bu uç nokta için bildirilen alanları gönderin.

### İstek gövdesi

```json
{
  "source_image_url": {
    "required": true,
    "type": "string"
  }
}
```

## Başarılı yanıt

HTTP 200 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "prompts": {
      "items": {
        "type": "string"
      },
      "maxItems": 4,
      "minItems": 4,
      "type": "array"
    }
  },
  "required": [
    "prompts",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "prompts": [
    "A quiet coastal town at sunrise in a painterly style.",
    "A cinematic sunrise above a calm seaside village.",
    "Warm morning light over a peaceful coastal settlement.",
    "An atmospheric seaside town beneath a golden sky."
  ]
}
```

## Hatalar

HTTP 401 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Authentication required"
}
```

## Hatalar

HTTP 400 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir hata mesajı.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir doğrulama özeti.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Herkese açık istek alanına göre anahtarlanan doğrulama mesajları; her alan için insan tarafından okunabilir dizelerden oluşan bir dizi içerir.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Yanıt örneği

```json
{
  "error": "source_image_url is required"
}
```

## Hatalar

HTTP 402 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Insufficient balance"
}
```

## Hatalar

HTTP 429 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "API key credit limit exceeded"
}
```

## Hatalar

HTTP 409 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Hatalar

HTTP 429 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Hatalar

HTTP 503 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Pricing is pending for this endpoint"
}
```

## Hatalar

HTTP 504 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request timed out"
}
```

## Hatalar

HTTP 502 - POST /api/v1/midjourney/image_to_prompt

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Bad Gateway"
}
```

## Oluşturulan Kod Örnekleri

Doğrudan cURL kullanın veya diliniz için bir SDK yükleyin. Her örnek, bu başvuruda gösterilen doğrulanmış isteği gönderir.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/midjourney/image_to_prompt \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"source_image_url":"https://cdn.runapi.ai/public/samples/image.jpg"}'
```

### javascript

#### Yükle

```bash
npm install @runapi.ai/midjourney
```

```javascript
import { MidjourneyClient } from "@runapi.ai/midjourney";

const client = new MidjourneyClient({ apiKey: process.env.RUNAPI_API_KEY });
const result = await client.imageToPrompt.run({
  "source_image_url": "https://cdn.runapi.ai/public/samples/image.jpg"
});
```

### python

#### Yükle

```bash
pip install runapi-midjourney
```

```python
import os
from runapi.midjourney import MidjourneyClient

client = MidjourneyClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.image_to_prompt.run(
  source_image_url="https://cdn.runapi.ai/public/samples/image.jpg"
)
```

### go

#### Yükle

```bash
go get github.com/runapi-ai/midjourney-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  midjourney "github.com/runapi-ai/midjourney-sdk/go/midjourney"
)

func main() {
  client, err := midjourney.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  result, err := client.ImageToPrompt.Run(context.Background(), midjourney.ImageToPromptParams{
    SourceImageURL: "https://cdn.runapi.ai/public/samples/image.jpg",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = result
}
```

### ruby

#### Yükle

```bash
gem install runapi-midjourney
```

```ruby
require "runapi/midjourney"

client = RunApi::Midjourney::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
result = client.image_to_prompt.run(
  source_image_url: "https://cdn.runapi.ai/public/samples/image.jpg"
)
```

### java

#### Yükle

```kotlin
implementation("ai.runapi:runapi-midjourney")
```

```java
import ai.runapi.midjourney.MidjourneyClient;
import ai.runapi.midjourney.types.ImageToPromptParams;
import ai.runapi.midjourney.types.ImageToPromptResponse;

public final class Example {
  public static void main(String[] args) {
    MidjourneyClient client = MidjourneyClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    ImageToPromptResponse result = client.imageToPrompt().run(
        ImageToPromptParams.builder()
        .sourceImageUrl("https://cdn.runapi.ai/public/samples/image.jpg")
            .build()
    );
  }
}
```

### php

#### Yükle

```bash
composer require runapi-ai/midjourney
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Midjourney\MidjourneyClient;

$client = new MidjourneyClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$result = $client->imageToPrompt->run([
  "source_image_url" => "https://cdn.runapi.ai/public/samples/image.jpg"
]);
```

## İlgili Kılavuzlar

- [Kimlik doğrulama](https://runapi.ai/tr/docs/guides/authentication.md)
- [Hızlı başlangıç](https://runapi.ai/tr/docs/guides/task-api/quickstart.md)

---

## RunAPI hakkında daha fazlası

- [Ana sayfa](https://runapi.ai/tr/.md)
- [Model Kataloğu](https://runapi.ai/tr/models.md)
- [Fiyatlandırma](https://runapi.ai/tr/pricing.md)
- [Sağlayıcılar](https://runapi.ai/tr/models)
- [Dokümantasyon](https://runapi.ai/tr/docs/guides)
- [SDK'lar](https://runapi.ai/tr/sdk.md)
- [CLI](https://runapi.ai/tr/cli.md)
- [MCP Sunucusu](https://runapi.ai/tr/mcp.md)
- [Claude Code ve Cursor](https://runapi.ai/tr/claude-code-vs-cursor.md)
- [Cursor API kurulumu](https://runapi.ai/tr/cursor-api-setup.md)
- [RunAPI ve OpenRouter](https://runapi.ai/tr/openrouter-alternative.md)
- [Kurumsal](https://runapi.ai/tr/contact.md)
- [İletişim](https://runapi.ai/tr/contact.md)
- [Şartlar](https://runapi.ai/tr/terms.md)
- [Gizlilik](https://runapi.ai/tr/privacy.md)
- [Ajanlar için site dizini](https://runapi.ai/llms.txt)

İletişim: contact@runapi.ai

## Yapılandırılmış veriler

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/tr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/tricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "TechArticle",
    "headline": "Midjourney Görüntüden İsteme",
    "description": "Görüntüden isteme uç noktasını kullanarak sonucu aynı yanıtta alın.",
    "url": "https://runapi.ai/tr/docs/api/midjourney/image-to-prompt",
    "mainEntityOfPage": "https://runapi.ai/tr/docs/api/midjourney/image-to-prompt"
  }
]
```
